Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005775TestLinkReportspublic2013-06-13 08:592013-09-08 17:55
Reporterseajays 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformIntelOSWindowsOS VersionServer 2003
Product Version1.9.7 (2013 Q2 - bug fixing) 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005775: Reports are naming Word document incorrectly in Save Dialog SPURIOUS CHAR on context
DescriptionWhen selecting a Word document report the save dialog saves with the name pintDocument.php

This document cannot be opened without renaming to .doc file. (See screenshot)
Steps To Reproduce1) Go to test reports
2) Select Report format "MS Word"
3) Select "Test Report"
4) Click the report tree to generate the report
5) Dialog opens to save as "printDocument.php"
Additional InformationLooking at the return HTTP headers, it seems that the "Content-type" has a spurious "}" character which may be affecting the naming.

HTTP/1.1 200 OK
Date: Thu, 13 Jun 2013 08:48:39 GMT
Server: Apache/2.2.22 (Win32) PHP/5.4.6
X-Powered-By: PHP/5.4.6
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Content-Description: TestLink - Generated Document (see flushHttpHeader)
Keep-Alive: timeout=5, max=100
Connection: Keep-Alive
Transfer-Encoding: chunked
Content-Type: application/vnd.ms-word; name='Testlink_4'}
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox 21.0
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon greenshot_2013-06-13_09-49-00.png [^] (17,653 bytes) 2013-06-13 08:59

- Relationships
child of 0005731closedfman Availables hot-fixes for 1.9.7 & How To get full fixed package from gitorious 

-  Notes
(0019145)
fman (administrator)
2013-06-14 18:51

http://gitorious.org/testlink-ga/testlink-code/commit/83bcc111b4cd29171dfd78f49d71c1a51beafba9 [^]
(0019557)
fman (administrator)
2013-09-08 17:55

1.9.8 released

- Issue History
Date Modified Username Field Change
2013-06-13 08:59 seajays New Issue
2013-06-13 08:59 seajays File Added: greenshot_2013-06-13_09-49-00.png
2013-06-13 11:46 fman Summary Reports are naming Word document incorrectly in Save Dialog => Reports are naming Word document incorrectly in Save Dialog SPURIOUS CHAR on context
2013-06-13 11:46 fman Additional Information Updated View Revisions
2013-06-14 18:51 fman Note Added: 0019145
2013-06-14 18:51 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-06-14 18:51 fman Status new => resolved
2013-06-14 18:51 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2013-06-14 18:51 fman Resolution open => fixed
2013-06-14 18:51 fman Assigned To => fman
2013-06-14 18:51 fman Relationship added child of 0005731
2013-09-08 17:55 fman Note Added: 0019557
2013-09-08 17:55 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker